Error while running buildout command

60 views
Skip to first unread message

Vinay

unread,
Nov 20, 2020, 11:31:03 AM11/20/20
to bob-devel
HI,
i am facing this issue when i am running the buildout command please help me.
mr.developer: Queued 'bob.bio.base' for checkout.
mr.developer: Queued 'bob.db.batl' for checkout.
mr.developer: Queued 'bob.db.oulunpu' for checkout.
mr.developer: Queued 'bob.db.replaymobile' for checkout.
mr.developer: Queued 'bob.extension' for checkout.
mr.developer: Queued 'bob.ip.base' for checkout.
mr.developer: Queued 'bob.ip.mtcnn' for checkout.
mr.developer: Queued 'bob.learn.pytorch' for checkout.
mr.developer: Queued 'bob.measure' for checkout.
mr.developer: Queued 'bob.pad.base' for checkout.
mr.developer: Queued 'bob.pad.face' for checkout.
mr.developer: Cloned 'bob.db.replaymobile' with git from 'https://gitlab.idiap.ch/bob/bob.db.replaymobile'.
mr.developer: Cloned 'bob.db.batl' with git from 'https://gitlab.idiap.ch/bob/bob.db.batl'.
mr.developer: Cloned 'bob.db.oulunpu' with git from 'https://gitlab.idiap.ch/bob/bob.db.oulunpu'.
mr.developer: Cloned 'bob.extension' with git from 'https://gitlab.idiap.ch/bob/bob.extension'.
mr.developer: Cloned 'bob.ip.mtcnn' with git from 'https://gitlab.idiap.ch/bob/bob.ip.mtcnn'.
mr.developer: Cloned 'bob.ip.base' with git from 'https://gitlab.idiap.ch/bob/bob.ip.base'.
mr.developer: Cloned 'bob.learn.pytorch' with git from 'https://gitlab.idiap.ch/bob/bob.learn.pytorch'.
mr.developer: Cloned 'bob.measure' with git from 'https://gitlab.idiap.ch/bob/bob.measure'.
mr.developer: Cloned 'bob.pad.base' with git from 'https://gitlab.idiap.ch/bob/bob.pad.base'.
mr.developer: Cloned 'bob.bio.base' with git from 'https://gitlab.idiap.ch/bob/bob.bio.base'.
mr.developer: Cloned 'bob.pad.face' with git from 'https://gitlab.idiap.ch/bob/bob.pad.face'.
Creating directory '/content/gdrive/My Drive/anti_face_spoofing/bob.paper.oneclass_mccnn_2019/bin'.
Creating directory '/content/gdrive/My Drive/anti_face_spoofing/bob.paper.oneclass_mccnn_2019/parts'.
Creating directory '/content/gdrive/My Drive/anti_face_spoofing/bob.paper.oneclass_mccnn_2019/develop-eggs'.
Develop: '/content/gdrive/My Drive/anti_face_spoofing/bob.paper.oneclass_mccnn_2019/src/bob.extension'
Develop: '/content/gdrive/My Drive/anti_face_spoofing/bob.paper.oneclass_mccnn_2019/src/bob.measure'
bob.buildout.tools: taking requirement `numpy' (1.19.2) from `/usr/local/lib/python3.7/site-packages'
bob.buildout.tools: Installing `bob.extension' for package `/content/gdrive/My Drive/anti_face_spoofing/bob.paper.oneclass_mccnn_2019/src/bob.measure'...
Getting distribution for 'click-plugins'.
Got click-plugins 1.1.1.
Getting distribution for 'click'.
Got click 7.1.2.
bob.buildout.tools: Installing `bob.blitz' for package `/content/gdrive/My Drive/anti_face_spoofing/bob.paper.oneclass_mccnn_2019/src/bob.measure'...
Getting distribution for 'bob.blitz'.
WARNING: The easy_install command is deprecated and will be removed in a future version.
Traceback (most recent call last):
  File "/usr/local/lib/python3.7/site-packages/setuptools/sandbox.py", line 154, in save_modules
    yield saved
  File "/usr/local/lib/python3.7/site-packages/setuptools/sandbox.py", line 195, in setup_context
    yield
  File "/usr/local/lib/python3.7/site-packages/setuptools/sandbox.py", line 250, in run_setup
    _execfile(setup_script, ns)
  File "/usr/local/lib/python3.7/site-packages/setuptools/sandbox.py", line 45, in _execfile
    exec(code, globals, locals)
  File "/tmp/easy_install-yrz05a4r/bob.blitz-2.0.22/setup.py", line 9, in <module>
   
ModuleNotFoundError: No module named 'bob.extension'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "<string>", line 1, in <module>
  File "/usr/local/lib/python3.7/site-packages/setuptools/command/easy_install.py", line 2321, in main
    **kw
  File "/usr/local/lib/python3.7/site-packages/setuptools/__init__.py", line 144, in setup
    return distutils.core.setup(**attrs)
  File "/usr/local/lib/python3.7/distutils/core.py", line 148, in setup
    dist.run_commands()
  File "/usr/local/lib/python3.7/distutils/dist.py", line 966, in run_commands
    self.run_command(cmd)
  File "/usr/local/lib/python3.7/distutils/dist.py", line 985, in run_command
    cmd_obj.run()
  File "/usr/local/lib/python3.7/site-packages/setuptools/command/easy_install.py", line 425, in run
    self.easy_install(spec, not self.no_deps)
  File "/usr/local/lib/python3.7/site-packages/setuptools/command/easy_install.py", line 668, in easy_install
    return self.install_item(None, spec, tmpdir, deps, True)
  File "/usr/local/lib/python3.7/site-packages/setuptools/command/easy_install.py", line 713, in install_item
    dists = self.install_eggs(spec, download, tmpdir)
  File "/usr/local/lib/python3.7/site-packages/setuptools/command/easy_install.py", line 898, in install_eggs
    return self.build_and_install(setup_script, setup_base)
  File "/usr/local/lib/python3.7/site-packages/setuptools/command/easy_install.py", line 1166, in build_and_install
    self.run_setup(setup_script, setup_base, args)
  File "/usr/local/lib/python3.7/site-packages/setuptools/command/easy_install.py", line 1152, in run_setup
    run_setup(setup_script, args)
  File "/usr/local/lib/python3.7/site-packages/setuptools/sandbox.py", line 253, in run_setup
    raise
  File "/usr/local/lib/python3.7/contextlib.py", line 130, in __exit__
    self.gen.throw(type, value, traceback)
  File "/usr/local/lib/python3.7/site-packages/setuptools/sandbox.py", line 195, in setup_context
    yield
  File "/usr/local/lib/python3.7/contextlib.py", line 130, in __exit__
    self.gen.throw(type, value, traceback)
  File "/usr/local/lib/python3.7/site-packages/setuptools/sandbox.py", line 166, in save_modules
    saved_exc.resume()
  File "/usr/local/lib/python3.7/site-packages/setuptools/sandbox.py", line 141, in resume
    six.reraise(type, exc, self._tb)
  File "/usr/local/lib/python3.7/site-packages/setuptools/_vendor/six.py", line 685, in reraise
    raise value.with_traceback(tb)
  File "/usr/local/lib/python3.7/site-packages/setuptools/sandbox.py", line 154, in save_modules
    yield saved
  File "/usr/local/lib/python3.7/site-packages/setuptools/sandbox.py", line 195, in setup_context
    yield
  File "/usr/local/lib/python3.7/site-packages/setuptools/sandbox.py", line 250, in run_setup
    _execfile(setup_script, ns)
  File "/usr/local/lib/python3.7/site-packages/setuptools/sandbox.py", line 45, in _execfile
    exec(code, globals, locals)
  File "/tmp/easy_install-yrz05a4r/bob.blitz-2.0.22/setup.py", line 9, in <module>
   
ModuleNotFoundError: No module named 'bob.extension'
An error occurred when trying to install /tmp/tmp5ob4g31qget_dist/bob.blitz-2.0.22.zip. Look above this message for any errors that were output by easy_install.
While:
  Installing.
  Processing develop directory '/content/gdrive/My Drive/anti_face_spoofing/bob.paper.oneclass_mccnn_2019/src/bob.measure'.
  Getting distribution for 'bob.blitz'.

An internal error occurred due to a bug in either zc.buildout or in a
recipe being used:
Traceback (most recent call last):
  File "/usr/local/lib/python3.7/site-packages/zc/buildout/buildout.py", line 2174, in main
    getattr(buildout, command)(args)
  File "/usr/local/lib/python3.7/site-packages/zc/buildout/buildout.py", line 679, in install
    installed_develop_eggs = self._develop()
  File "/usr/local/lib/python3.7/site-packages/zc/buildout/buildout.py", line 922, in _develop
    zc.buildout.easy_install.develop(setup, dest)
  File "/content/gdrive/My Drive/anti_face_spoofing/bob.paper.oneclass_mccnn_2019/eggs/bob.buildout-2.2.5-py3.7.egg/bob/buildout/extension.py", line 170, in develop
    tools.satisfy_requirements(self.buildout, directory, working_set)
  File "/content/gdrive/My Drive/anti_face_spoofing/bob.paper.oneclass_mccnn_2019/eggs/bob.buildout-2.2.5-py3.7.egg/bob/buildout/tools.py", line 231, in satisfy_requirements
    working_set = install_package(buildout, req, working_set)
  File "/content/gdrive/My Drive/anti_face_spoofing/bob.paper.oneclass_mccnn_2019/eggs/bob.buildout-2.2.5-py3.7.egg/bob/buildout/tools.py", line 207, in install_package
    newest = bool_option(buildout, 'newest', 'true'),
  File "/usr/local/lib/python3.7/site-packages/zc/buildout/easy_install.py", line 957, in install
    return installer.install(specs, working_set)
  File "/usr/local/lib/python3.7/site-packages/zc/buildout/easy_install.py", line 682, in install
    for dist in self._get_dist(requirement, ws):
  File "/usr/local/lib/python3.7/site-packages/zc/buildout/easy_install.py", line 574, in _get_dist
    dists = [_move_to_eggs_dir_and_compile(dist, self._dest)]
  File "/usr/local/lib/python3.7/site-packages/zc/buildout/easy_install.py", line 1745, in _move_to_eggs_dir_and_compile
    [tmp_loc] = glob.glob(os.path.join(tmp_dest, '*'))
ValueError: not enough values to unpack (expected 1, got 0)

Manuel Günther

unread,
Nov 24, 2020, 5:23:29 AM11/24/20
to bob-devel

In order to help you, you first need to help us in order to understand and maybe reproduce your problem.

1. Where did you get the buildout files from? How is the content of this file?
2. What other actions did you perform before running buildout? Did you follow the installation instructions of Bob?

Manuel

Vinay

unread,
Nov 24, 2020, 5:31:09 AM11/24/20
to bob-devel
Sure,
         i cloned bob.paper.oneclass_mccnn_2019 repository,
         below is the content of bulidout.cfg file
        
[buildout]
parts = scripts
versions = versions


extensions = bob.buildout
             mr.developer


auto-checkout = *
debug = false
newest = false
verbose = false


eggs = bob.extension
       bob.measure
       bob.bio.base
       bob.ip.base
       bob.ip.mtcnn
       bob.db.oulunpu
       bob.db.replaymobile
       bob.db.batl
       bob.learn.pytorch
       bob.pad.base
       bob.pad.face
       bob.paper.oneclass_mccnn_2019


develop = src/bob.extension
          src/bob.measure
          src/bob.bio.base
          src/bob.ip.base
          src/bob.ip.mtcnn
          src/bob.db.oulunpu
          src/bob.db.replaymobile
          src/bob.db.batl
          src/bob.learn.pytorch
          src/bob.pad.base
          src/bob.pad.face
          .


[versions]


[sources]


[scripts]
recipe = bob.buildout:scripts
dependent-scripts = true

Manuel Günther

unread,
Nov 24, 2020, 5:31:19 AM11/24/20
to bob-devel
Oh, I just saw that this is a re-post of another question. Try to avoid doing this, this is just confusing people.

Samira

unread,
May 7, 2021, 6:37:02 PM5/7/21
to bob-devel
Hello
I have the same problem, please help me.
I downloaded the file from the link https://gitlab.idiap.ch/bob/bob.paper.oneclass_mccnn_2019. I installed conda according to the instructions in the Linux environment. I ran the installation code. But I got a similar error in buildout.

Thanks
Samira

Manuel Günther در تاریخ سه‌شنبه ۲۴ نوامبر ۲۰۲۰ ساعت ۲:۳۱:۱۹ (UTC-8) نوشت:
Reply all
Reply to author
Forward
0 new messages